﻿
namespace BusyIndicatorSample.Web.DomainService
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.ServiceModel.DomainServices.EntityFramework;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;
    using BusyIndicatorSample.Web.DataModel;


    // Implements application logic using the NorthwindEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class NorthwindDomainService : LinqToEntitiesDomainService<NorthwindEntities>
    {

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Alphabetical_list_of_products' query.
        public IQueryable<Alphabetical_list_of_product> GetAlphabetical_list_of_products()
        {
            return this.ObjectContext.Alphabetical_list_of_products;
        }

        public void InsertAlphabetical_list_of_product(Alphabetical_list_of_product alphabetical_list_of_product)
        {
            if ((alphabetical_list_of_product.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(alphabetical_list_of_product, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Alphabetical_list_of_products.AddObject(alphabetical_list_of_product);
            }
        }

        public void UpdateAlphabetical_list_of_product(Alphabetical_list_of_product currentAlphabetical_list_of_product)
        {
            this.ObjectContext.Alphabetical_list_of_products.AttachAsModified(currentAlphabetical_list_of_product, this.ChangeSet.GetOriginal(currentAlphabetical_list_of_product));
        }

        public void DeleteAlphabetical_list_of_product(Alphabetical_list_of_product alphabetical_list_of_product)
        {
            if ((alphabetical_list_of_product.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Alphabetical_list_of_products.Attach(alphabetical_list_of_product);
            }
            this.ObjectContext.Alphabetical_list_of_products.DeleteObject(alphabetical_list_of_product);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Categories' query.
        public IQueryable<Category> GetCategories()
        {
            return this.ObjectContext.Categories;
        }

        public void InsertCategory(Category category)
        {
            if ((category.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(category, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Categories.AddObject(category);
            }
        }

        public void UpdateCategory(Category currentCategory)
        {
            this.ObjectContext.Categories.AttachAsModified(currentCategory, this.ChangeSet.GetOriginal(currentCategory));
        }

        public void DeleteCategory(Category category)
        {
            if ((category.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Categories.Attach(category);
            }
            this.ObjectContext.Categories.DeleteObject(category);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Category_Sales_for_1997' query.
        public IQueryable<Category_Sales_for_1997> GetCategory_Sales_for_1997()
        {
            return this.ObjectContext.Category_Sales_for_1997;
        }

        public void InsertCategory_Sales_for_1997(Category_Sales_for_1997 category_Sales_for_1997)
        {
            if ((category_Sales_for_1997.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(category_Sales_for_1997, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Category_Sales_for_1997.AddObject(category_Sales_for_1997);
            }
        }

        public void UpdateCategory_Sales_for_1997(Category_Sales_for_1997 currentCategory_Sales_for_1997)
        {
            this.ObjectContext.Category_Sales_for_1997.AttachAsModified(currentCategory_Sales_for_1997, this.ChangeSet.GetOriginal(currentCategory_Sales_for_1997));
        }

        public void DeleteCategory_Sales_for_1997(Category_Sales_for_1997 category_Sales_for_1997)
        {
            if ((category_Sales_for_1997.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Category_Sales_for_1997.Attach(category_Sales_for_1997);
            }
            this.ObjectContext.Category_Sales_for_1997.DeleteObject(category_Sales_for_1997);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Current_Product_Lists' query.
        public IQueryable<Current_Product_List> GetCurrent_Product_Lists()
        {
            return this.ObjectContext.Current_Product_Lists;
        }

        public void InsertCurrent_Product_List(Current_Product_List current_Product_List)
        {
            if ((current_Product_List.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(current_Product_List, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Current_Product_Lists.AddObject(current_Product_List);
            }
        }

        public void UpdateCurrent_Product_List(Current_Product_List currentCurrent_Product_List)
        {
            this.ObjectContext.Current_Product_Lists.AttachAsModified(currentCurrent_Product_List, this.ChangeSet.GetOriginal(currentCurrent_Product_List));
        }

        public void DeleteCurrent_Product_List(Current_Product_List current_Product_List)
        {
            if ((current_Product_List.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Current_Product_Lists.Attach(current_Product_List);
            }
            this.ObjectContext.Current_Product_Lists.DeleteObject(current_Product_List);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Customers' query.
        public IQueryable<Customer> GetCustomers()
        {
            return this.ObjectContext.Customers;
        }

        public void InsertCustomer(Customer customer)
        {
            if ((customer.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customer, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Customers.AddObject(customer);
            }
        }

        public void UpdateCustomer(Customer currentCustomer)
        {
            this.ObjectContext.Customers.AttachAsModified(currentCustomer, this.ChangeSet.GetOriginal(currentCustomer));
        }

        public void DeleteCustomer(Customer customer)
        {
            if ((customer.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Customers.Attach(customer);
            }
            this.ObjectContext.Customers.DeleteObject(customer);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Customer_and_Suppliers_by_Cities' query.
        public IQueryable<Customer_and_Suppliers_by_City> GetCustomer_and_Suppliers_by_Cities()
        {
            return this.ObjectContext.Customer_and_Suppliers_by_Cities;
        }

        public void InsertCustomer_and_Suppliers_by_City(Customer_and_Suppliers_by_City customer_and_Suppliers_by_City)
        {
            if ((customer_and_Suppliers_by_City.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customer_and_Suppliers_by_City, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Customer_and_Suppliers_by_Cities.AddObject(customer_and_Suppliers_by_City);
            }
        }

        public void UpdateCustomer_and_Suppliers_by_City(Customer_and_Suppliers_by_City currentCustomer_and_Suppliers_by_City)
        {
            this.ObjectContext.Customer_and_Suppliers_by_Cities.AttachAsModified(currentCustomer_and_Suppliers_by_City, this.ChangeSet.GetOriginal(currentCustomer_and_Suppliers_by_City));
        }

        public void DeleteCustomer_and_Suppliers_by_City(Customer_and_Suppliers_by_City customer_and_Suppliers_by_City)
        {
            if ((customer_and_Suppliers_by_City.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Customer_and_Suppliers_by_Cities.Attach(customer_and_Suppliers_by_City);
            }
            this.ObjectContext.Customer_and_Suppliers_by_Cities.DeleteObject(customer_and_Suppliers_by_City);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'CustomerDemographics' query.
        public IQueryable<CustomerDemographic> GetCustomerDemographics()
        {
            return this.ObjectContext.CustomerDemographics;
        }

        public void InsertCustomerDemographic(CustomerDemographic customerDemographic)
        {
            if ((customerDemographic.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(customerDemographic, EntityState.Added);
            }
            else
            {
                this.ObjectContext.CustomerDemographics.AddObject(customerDemographic);
            }
        }

        public void UpdateCustomerDemographic(CustomerDemographic currentCustomerDemographic)
        {
            this.ObjectContext.CustomerDemographics.AttachAsModified(currentCustomerDemographic, this.ChangeSet.GetOriginal(currentCustomerDemographic));
        }

        public void DeleteCustomerDemographic(CustomerDemographic customerDemographic)
        {
            if ((customerDemographic.EntityState == EntityState.Detached))
            {
                this.ObjectContext.CustomerDemographics.Attach(customerDemographic);
            }
            this.ObjectContext.CustomerDemographics.DeleteObject(customerDemographic);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Employees' query.
        public IQueryable<Employee> GetEmployees()
        {
            return this.ObjectContext.Employees;
        }

        public void InsertEmployee(Employee employee)
        {
            if ((employee.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(employee, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Employees.AddObject(employee);
            }
        }

        public void UpdateEmployee(Employee currentEmployee)
        {
            this.ObjectContext.Employees.AttachAsModified(currentEmployee, this.ChangeSet.GetOriginal(currentEmployee));
        }

        public void DeleteEmployee(Employee employee)
        {
            if ((employee.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Employees.Attach(employee);
            }
            this.ObjectContext.Employees.DeleteObject(employee);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Invoices' query.
        public IQueryable<Invoice> GetInvoices()
        {
            return this.ObjectContext.Invoices;
        }

        public void InsertInvoice(Invoice invoice)
        {
            if ((invoice.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(invoice, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Invoices.AddObject(invoice);
            }
        }

        public void UpdateInvoice(Invoice currentInvoice)
        {
            this.ObjectContext.Invoices.AttachAsModified(currentInvoice, this.ChangeSet.GetOriginal(currentInvoice));
        }

        public void DeleteInvoice(Invoice invoice)
        {
            if ((invoice.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Invoices.Attach(invoice);
            }
            this.ObjectContext.Invoices.DeleteObject(invoice);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Orders' query.
        public IQueryable<Order> GetOrders()
        {
            return this.ObjectContext.Orders;
        }

        public void InsertOrder(Order order)
        {
            if ((order.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(order, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Orders.AddObject(order);
            }
        }

        public void UpdateOrder(Order currentOrder)
        {
            this.ObjectContext.Orders.AttachAsModified(currentOrder, this.ChangeSet.GetOriginal(currentOrder));
        }

        public void DeleteOrder(Order order)
        {
            if ((order.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Orders.Attach(order);
            }
            this.ObjectContext.Orders.DeleteObject(order);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Order_Details' query.
        public IQueryable<Order_Detail> GetOrder_Details()
        {
            return this.ObjectContext.Order_Details;
        }

        public void InsertOrder_Detail(Order_Detail order_Detail)
        {
            if ((order_Detail.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(order_Detail, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Order_Details.AddObject(order_Detail);
            }
        }

        public void UpdateOrder_Detail(Order_Detail currentOrder_Detail)
        {
            this.ObjectContext.Order_Details.AttachAsModified(currentOrder_Detail, this.ChangeSet.GetOriginal(currentOrder_Detail));
        }

        public void DeleteOrder_Detail(Order_Detail order_Detail)
        {
            if ((order_Detail.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Order_Details.Attach(order_Detail);
            }
            this.ObjectContext.Order_Details.DeleteObject(order_Detail);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Order_Details_Extendeds' query.
        public IQueryable<Order_Details_Extended> GetOrder_Details_Extendeds()
        {
            return this.ObjectContext.Order_Details_Extendeds;
        }

        public void InsertOrder_Details_Extended(Order_Details_Extended order_Details_Extended)
        {
            if ((order_Details_Extended.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(order_Details_Extended, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Order_Details_Extendeds.AddObject(order_Details_Extended);
            }
        }

        public void UpdateOrder_Details_Extended(Order_Details_Extended currentOrder_Details_Extended)
        {
            this.ObjectContext.Order_Details_Extendeds.AttachAsModified(currentOrder_Details_Extended, this.ChangeSet.GetOriginal(currentOrder_Details_Extended));
        }

        public void DeleteOrder_Details_Extended(Order_Details_Extended order_Details_Extended)
        {
            if ((order_Details_Extended.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Order_Details_Extendeds.Attach(order_Details_Extended);
            }
            this.ObjectContext.Order_Details_Extendeds.DeleteObject(order_Details_Extended);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Order_Subtotals' query.
        public IQueryable<Order_Subtotal> GetOrder_Subtotals()
        {
            return this.ObjectContext.Order_Subtotals;
        }

        public void InsertOrder_Subtotal(Order_Subtotal order_Subtotal)
        {
            if ((order_Subtotal.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(order_Subtotal, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Order_Subtotals.AddObject(order_Subtotal);
            }
        }

        public void UpdateOrder_Subtotal(Order_Subtotal currentOrder_Subtotal)
        {
            this.ObjectContext.Order_Subtotals.AttachAsModified(currentOrder_Subtotal, this.ChangeSet.GetOriginal(currentOrder_Subtotal));
        }

        public void DeleteOrder_Subtotal(Order_Subtotal order_Subtotal)
        {
            if ((order_Subtotal.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Order_Subtotals.Attach(order_Subtotal);
            }
            this.ObjectContext.Order_Subtotals.DeleteObject(order_Subtotal);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Orders_Qries' query.
        public IQueryable<Orders_Qry> GetOrders_Qries()
        {
            return this.ObjectContext.Orders_Qries;
        }

        public void InsertOrders_Qry(Orders_Qry orders_Qry)
        {
            if ((orders_Qry.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(orders_Qry, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Orders_Qries.AddObject(orders_Qry);
            }
        }

        public void UpdateOrders_Qry(Orders_Qry currentOrders_Qry)
        {
            this.ObjectContext.Orders_Qries.AttachAsModified(currentOrders_Qry, this.ChangeSet.GetOriginal(currentOrders_Qry));
        }

        public void DeleteOrders_Qry(Orders_Qry orders_Qry)
        {
            if ((orders_Qry.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Orders_Qries.Attach(orders_Qry);
            }
            this.ObjectContext.Orders_Qries.DeleteObject(orders_Qry);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Products' query.
        public IQueryable<Product> GetProducts()
        {
            return this.ObjectContext.Products;
        }

        public void InsertProduct(Product product)
        {
            if ((product.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(product, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Products.AddObject(product);
            }
        }

        public void UpdateProduct(Product currentProduct)
        {
            this.ObjectContext.Products.AttachAsModified(currentProduct, this.ChangeSet.GetOriginal(currentProduct));
        }

        public void DeleteProduct(Product product)
        {
            if ((product.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Products.Attach(product);
            }
            this.ObjectContext.Products.DeleteObject(product);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Product_Sales_for_1997' query.
        public IQueryable<Product_Sales_for_1997> GetProduct_Sales_for_1997()
        {
            return this.ObjectContext.Product_Sales_for_1997;
        }

        public void InsertProduct_Sales_for_1997(Product_Sales_for_1997 product_Sales_for_1997)
        {
            if ((product_Sales_for_1997.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(product_Sales_for_1997, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Product_Sales_for_1997.AddObject(product_Sales_for_1997);
            }
        }

        public void UpdateProduct_Sales_for_1997(Product_Sales_for_1997 currentProduct_Sales_for_1997)
        {
            this.ObjectContext.Product_Sales_for_1997.AttachAsModified(currentProduct_Sales_for_1997, this.ChangeSet.GetOriginal(currentProduct_Sales_for_1997));
        }

        public void DeleteProduct_Sales_for_1997(Product_Sales_for_1997 product_Sales_for_1997)
        {
            if ((product_Sales_for_1997.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Product_Sales_for_1997.Attach(product_Sales_for_1997);
            }
            this.ObjectContext.Product_Sales_for_1997.DeleteObject(product_Sales_for_1997);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Products_Above_Average_Prices' query.
        public IQueryable<Products_Above_Average_Price> GetProducts_Above_Average_Prices()
        {
            return this.ObjectContext.Products_Above_Average_Prices;
        }

        public void InsertProducts_Above_Average_Price(Products_Above_Average_Price products_Above_Average_Price)
        {
            if ((products_Above_Average_Price.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(products_Above_Average_Price, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Products_Above_Average_Prices.AddObject(products_Above_Average_Price);
            }
        }

        public void UpdateProducts_Above_Average_Price(Products_Above_Average_Price currentProducts_Above_Average_Price)
        {
            this.ObjectContext.Products_Above_Average_Prices.AttachAsModified(currentProducts_Above_Average_Price, this.ChangeSet.GetOriginal(currentProducts_Above_Average_Price));
        }

        public void DeleteProducts_Above_Average_Price(Products_Above_Average_Price products_Above_Average_Price)
        {
            if ((products_Above_Average_Price.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Products_Above_Average_Prices.Attach(products_Above_Average_Price);
            }
            this.ObjectContext.Products_Above_Average_Prices.DeleteObject(products_Above_Average_Price);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Products_by_Categories' query.
        public IQueryable<Products_by_Category> GetProducts_by_Categories()
        {
            return this.ObjectContext.Products_by_Categories;
        }

        public void InsertProducts_by_Category(Products_by_Category products_by_Category)
        {
            if ((products_by_Category.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(products_by_Category, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Products_by_Categories.AddObject(products_by_Category);
            }
        }

        public void UpdateProducts_by_Category(Products_by_Category currentProducts_by_Category)
        {
            this.ObjectContext.Products_by_Categories.AttachAsModified(currentProducts_by_Category, this.ChangeSet.GetOriginal(currentProducts_by_Category));
        }

        public void DeleteProducts_by_Category(Products_by_Category products_by_Category)
        {
            if ((products_by_Category.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Products_by_Categories.Attach(products_by_Category);
            }
            this.ObjectContext.Products_by_Categories.DeleteObject(products_by_Category);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Regions' query.
        public IQueryable<Region> GetRegions()
        {
            return this.ObjectContext.Regions;
        }

        public void InsertRegion(Region region)
        {
            if ((region.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(region, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Regions.AddObject(region);
            }
        }

        public void UpdateRegion(Region currentRegion)
        {
            this.ObjectContext.Regions.AttachAsModified(currentRegion, this.ChangeSet.GetOriginal(currentRegion));
        }

        public void DeleteRegion(Region region)
        {
            if ((region.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Regions.Attach(region);
            }
            this.ObjectContext.Regions.DeleteObject(region);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Sales_by_Categories' query.
        public IQueryable<Sales_by_Category> GetSales_by_Categories()
        {
            return this.ObjectContext.Sales_by_Categories;
        }

        public void InsertSales_by_Category(Sales_by_Category sales_by_Category)
        {
            if ((sales_by_Category.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(sales_by_Category, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Sales_by_Categories.AddObject(sales_by_Category);
            }
        }

        public void UpdateSales_by_Category(Sales_by_Category currentSales_by_Category)
        {
            this.ObjectContext.Sales_by_Categories.AttachAsModified(currentSales_by_Category, this.ChangeSet.GetOriginal(currentSales_by_Category));
        }

        public void DeleteSales_by_Category(Sales_by_Category sales_by_Category)
        {
            if ((sales_by_Category.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Sales_by_Categories.Attach(sales_by_Category);
            }
            this.ObjectContext.Sales_by_Categories.DeleteObject(sales_by_Category);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Sales_Totals_by_Amounts' query.
        public IQueryable<Sales_Totals_by_Amount> GetSales_Totals_by_Amounts()
        {
            return this.ObjectContext.Sales_Totals_by_Amounts;
        }

        public void InsertSales_Totals_by_Amount(Sales_Totals_by_Amount sales_Totals_by_Amount)
        {
            if ((sales_Totals_by_Amount.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(sales_Totals_by_Amount, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Sales_Totals_by_Amounts.AddObject(sales_Totals_by_Amount);
            }
        }

        public void UpdateSales_Totals_by_Amount(Sales_Totals_by_Amount currentSales_Totals_by_Amount)
        {
            this.ObjectContext.Sales_Totals_by_Amounts.AttachAsModified(currentSales_Totals_by_Amount, this.ChangeSet.GetOriginal(currentSales_Totals_by_Amount));
        }

        public void DeleteSales_Totals_by_Amount(Sales_Totals_by_Amount sales_Totals_by_Amount)
        {
            if ((sales_Totals_by_Amount.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Sales_Totals_by_Amounts.Attach(sales_Totals_by_Amount);
            }
            this.ObjectContext.Sales_Totals_by_Amounts.DeleteObject(sales_Totals_by_Amount);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Shippers' query.
        public IQueryable<Shipper> GetShippers()
        {
            return this.ObjectContext.Shippers;
        }

        public void InsertShipper(Shipper shipper)
        {
            if ((shipper.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(shipper, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Shippers.AddObject(shipper);
            }
        }

        public void UpdateShipper(Shipper currentShipper)
        {
            this.ObjectContext.Shippers.AttachAsModified(currentShipper, this.ChangeSet.GetOriginal(currentShipper));
        }

        public void DeleteShipper(Shipper shipper)
        {
            if ((shipper.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Shippers.Attach(shipper);
            }
            this.ObjectContext.Shippers.DeleteObject(shipper);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Summary_of_Sales_by_Quarters' query.
        public IQueryable<Summary_of_Sales_by_Quarter> GetSummary_of_Sales_by_Quarters()
        {
            return this.ObjectContext.Summary_of_Sales_by_Quarters;
        }

        public void InsertSummary_of_Sales_by_Quarter(Summary_of_Sales_by_Quarter summary_of_Sales_by_Quarter)
        {
            if ((summary_of_Sales_by_Quarter.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(summary_of_Sales_by_Quarter, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Summary_of_Sales_by_Quarters.AddObject(summary_of_Sales_by_Quarter);
            }
        }

        public void UpdateSummary_of_Sales_by_Quarter(Summary_of_Sales_by_Quarter currentSummary_of_Sales_by_Quarter)
        {
            this.ObjectContext.Summary_of_Sales_by_Quarters.AttachAsModified(currentSummary_of_Sales_by_Quarter, this.ChangeSet.GetOriginal(currentSummary_of_Sales_by_Quarter));
        }

        public void DeleteSummary_of_Sales_by_Quarter(Summary_of_Sales_by_Quarter summary_of_Sales_by_Quarter)
        {
            if ((summary_of_Sales_by_Quarter.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Summary_of_Sales_by_Quarters.Attach(summary_of_Sales_by_Quarter);
            }
            this.ObjectContext.Summary_of_Sales_by_Quarters.DeleteObject(summary_of_Sales_by_Quarter);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Summary_of_Sales_by_Years' query.
        public IQueryable<Summary_of_Sales_by_Year> GetSummary_of_Sales_by_Years()
        {
            return this.ObjectContext.Summary_of_Sales_by_Years;
        }

        public void InsertSummary_of_Sales_by_Year(Summary_of_Sales_by_Year summary_of_Sales_by_Year)
        {
            if ((summary_of_Sales_by_Year.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(summary_of_Sales_by_Year, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Summary_of_Sales_by_Years.AddObject(summary_of_Sales_by_Year);
            }
        }

        public void UpdateSummary_of_Sales_by_Year(Summary_of_Sales_by_Year currentSummary_of_Sales_by_Year)
        {
            this.ObjectContext.Summary_of_Sales_by_Years.AttachAsModified(currentSummary_of_Sales_by_Year, this.ChangeSet.GetOriginal(currentSummary_of_Sales_by_Year));
        }

        public void DeleteSummary_of_Sales_by_Year(Summary_of_Sales_by_Year summary_of_Sales_by_Year)
        {
            if ((summary_of_Sales_by_Year.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Summary_of_Sales_by_Years.Attach(summary_of_Sales_by_Year);
            }
            this.ObjectContext.Summary_of_Sales_by_Years.DeleteObject(summary_of_Sales_by_Year);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Suppliers' query.
        public IQueryable<Supplier> GetSuppliers()
        {
            return this.ObjectContext.Suppliers;
        }

        public void InsertSupplier(Supplier supplier)
        {
            if ((supplier.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(supplier, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Suppliers.AddObject(supplier);
            }
        }

        public void UpdateSupplier(Supplier currentSupplier)
        {
            this.ObjectContext.Suppliers.AttachAsModified(currentSupplier, this.ChangeSet.GetOriginal(currentSupplier));
        }

        public void DeleteSupplier(Supplier supplier)
        {
            if ((supplier.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Suppliers.Attach(supplier);
            }
            this.ObjectContext.Suppliers.DeleteObject(supplier);
        }

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Territories' query.
        public IQueryable<Territory> GetTerritories()
        {
            return this.ObjectContext.Territories;
        }

        public void InsertTerritory(Territory territory)
        {
            if ((territory.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(territory, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Territories.AddObject(territory);
            }
        }

        public void UpdateTerritory(Territory currentTerritory)
        {
            this.ObjectContext.Territories.AttachAsModified(currentTerritory, this.ChangeSet.GetOriginal(currentTerritory));
        }

        public void DeleteTerritory(Territory territory)
        {
            if ((territory.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Territories.Attach(territory);
            }
            this.ObjectContext.Territories.DeleteObject(territory);
        }
    }
}


