﻿
namespace BusyIndicatorSample.Web.DataModel
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;


    // The MetadataTypeAttribute identifies Alphabetical_list_of_productMetadata as the class
    // that carries additional metadata for the Alphabetical_list_of_product class.
    [MetadataTypeAttribute(typeof(Alphabetical_list_of_product.Alphabetical_list_of_productMetadata))]
    public partial class Alphabetical_list_of_product
    {

        // This class allows you to attach custom attributes to properties
        // of the Alphabetical_list_of_product class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Alphabetical_list_of_productMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Alphabetical_list_of_productMetadata()
            {
            }

            public Nullable<int> CategoryID { get; set; }

            public string CategoryName { get; set; }

            public bool Discontinued { get; set; }

            public int ProductID { get; set; }

            public string ProductName { get; set; }

            public string QuantityPerUnit { get; set; }

            public Nullable<short> ReorderLevel { get; set; }

            public Nullable<int> SupplierID { get; set; }

            public Nullable<decimal> UnitPrice { get; set; }

            public Nullable<short> UnitsInStock { get; set; }

            public Nullable<short> UnitsOnOrder { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CategoryMetadata as the class
    // that carries additional metadata for the Category class.
    [MetadataTypeAttribute(typeof(Category.CategoryMetadata))]
    public partial class Category
    {

        // This class allows you to attach custom attributes to properties
        // of the Category class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CategoryMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CategoryMetadata()
            {
            }

            public int CategoryID { get; set; }

            public string CategoryName { get; set; }

            public string Description { get; set; }

            public byte[] Picture { get; set; }

            public EntityCollection<Product> Products { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Category_Sales_for_1997Metadata as the class
    // that carries additional metadata for the Category_Sales_for_1997 class.
    [MetadataTypeAttribute(typeof(Category_Sales_for_1997.Category_Sales_for_1997Metadata))]
    public partial class Category_Sales_for_1997
    {

        // This class allows you to attach custom attributes to properties
        // of the Category_Sales_for_1997 class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Category_Sales_for_1997Metadata
        {

            // Metadata classes are not meant to be instantiated.
            private Category_Sales_for_1997Metadata()
            {
            }

            public string CategoryName { get; set; }

            public Nullable<decimal> CategorySales { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Current_Product_ListMetadata as the class
    // that carries additional metadata for the Current_Product_List class.
    [MetadataTypeAttribute(typeof(Current_Product_List.Current_Product_ListMetadata))]
    public partial class Current_Product_List
    {

        // This class allows you to attach custom attributes to properties
        // of the Current_Product_List class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Current_Product_ListMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Current_Product_ListMetadata()
            {
            }

            public int ProductID { get; set; }

            public string ProductName { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerMetadata as the class
    // that carries additional metadata for the Customer class.
    [MetadataTypeAttribute(typeof(Customer.CustomerMetadata))]
    public partial class Customer
    {

        // This class allows you to attach custom attributes to properties
        // of the Customer class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerMetadata()
            {
            }

            public string Address { get; set; }

            public string City { get; set; }

            public string CompanyName { get; set; }

            public string ContactName { get; set; }

            public string ContactTitle { get; set; }

            public string Country { get; set; }

            public EntityCollection<CustomerDemographic> CustomerDemographics { get; set; }

            public string CustomerID { get; set; }

            public string Fax { get; set; }

            public EntityCollection<Order> Orders { get; set; }

            public string Phone { get; set; }

            public string PostalCode { get; set; }

            public string Region { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Customer_and_Suppliers_by_CityMetadata as the class
    // that carries additional metadata for the Customer_and_Suppliers_by_City class.
    [MetadataTypeAttribute(typeof(Customer_and_Suppliers_by_City.Customer_and_Suppliers_by_CityMetadata))]
    public partial class Customer_and_Suppliers_by_City
    {

        // This class allows you to attach custom attributes to properties
        // of the Customer_and_Suppliers_by_City class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Customer_and_Suppliers_by_CityMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Customer_and_Suppliers_by_CityMetadata()
            {
            }

            public string City { get; set; }

            public string CompanyName { get; set; }

            public string ContactName { get; set; }

            public string Relationship { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies CustomerDemographicMetadata as the class
    // that carries additional metadata for the CustomerDemographic class.
    [MetadataTypeAttribute(typeof(CustomerDemographic.CustomerDemographicMetadata))]
    public partial class CustomerDemographic
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerDemographic class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class CustomerDemographicMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerDemographicMetadata()
            {
            }

            public string CustomerDesc { get; set; }

            public EntityCollection<Customer> Customers { get; set; }

            public string CustomerTypeID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies EmployeeMetadata as the class
    // that carries additional metadata for the Employee class.
    [MetadataTypeAttribute(typeof(Employee.EmployeeMetadata))]
    public partial class Employee
    {

        // This class allows you to attach custom attributes to properties
        // of the Employee class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class EmployeeMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private EmployeeMetadata()
            {
            }

            public string Address { get; set; }

            public Nullable<DateTime> BirthDate { get; set; }

            public string City { get; set; }

            public string Country { get; set; }

            public Employee Employee1 { get; set; }

            public int EmployeeID { get; set; }

            public EntityCollection<Employee> Employees1 { get; set; }

            public string Extension { get; set; }

            public string FirstName { get; set; }

            public Nullable<DateTime> HireDate { get; set; }

            public string HomePhone { get; set; }

            public string LastName { get; set; }

            public string Notes { get; set; }

            public EntityCollection<Order> Orders { get; set; }

            public byte[] Photo { get; set; }

            public string PhotoPath { get; set; }

            public string PostalCode { get; set; }

            public string Region { get; set; }

            public Nullable<int> ReportsTo { get; set; }

            public EntityCollection<Territory> Territories { get; set; }

            public string Title { get; set; }

            public string TitleOfCourtesy { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies InvoiceMetadata as the class
    // that carries additional metadata for the Invoice class.
    [MetadataTypeAttribute(typeof(Invoice.InvoiceMetadata))]
    public partial class Invoice
    {

        // This class allows you to attach custom attributes to properties
        // of the Invoice class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class InvoiceMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private InvoiceMetadata()
            {
            }

            public string Address { get; set; }

            public string City { get; set; }

            public string Country { get; set; }

            public string CustomerID { get; set; }

            public string CustomerName { get; set; }

            public float Discount { get; set; }

            public Nullable<decimal> ExtendedPrice { get; set; }

            public Nullable<decimal> Freight { get; set; }

            public Nullable<DateTime> OrderDate { get; set; }

            public int OrderID { get; set; }

            public string PostalCode { get; set; }

            public int ProductID { get; set; }

            public string ProductName { get; set; }

            public short Quantity { get; set; }

            public string Region { get; set; }

            public Nullable<DateTime> RequiredDate { get; set; }

            public string Salesperson { get; set; }

            public string ShipAddress { get; set; }

            public string ShipCity { get; set; }

            public string ShipCountry { get; set; }

            public string ShipName { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }

            public string ShipperName { get; set; }

            public string ShipPostalCode { get; set; }

            public string ShipRegion { get; set; }

            public decimal UnitPrice { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies OrderMetadata as the class
    // that carries additional metadata for the Order class.
    [MetadataTypeAttribute(typeof(Order.OrderMetadata))]
    public partial class Order
    {

        // This class allows you to attach custom attributes to properties
        // of the Order class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class OrderMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private OrderMetadata()
            {
            }

            public Customer Customer { get; set; }

            public string CustomerID { get; set; }

            public Employee Employee { get; set; }

            public Nullable<int> EmployeeID { get; set; }

            public Nullable<decimal> Freight { get; set; }

            public EntityCollection<Order_Detail> Order_Details { get; set; }

            public Nullable<DateTime> OrderDate { get; set; }

            public int OrderID { get; set; }

            public Nullable<DateTime> RequiredDate { get; set; }

            public string ShipAddress { get; set; }

            public string ShipCity { get; set; }

            public string ShipCountry { get; set; }

            public string ShipName { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }

            public Shipper Shipper { get; set; }

            public string ShipPostalCode { get; set; }

            public string ShipRegion { get; set; }

            public Nullable<int> ShipVia { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Order_DetailMetadata as the class
    // that carries additional metadata for the Order_Detail class.
    [MetadataTypeAttribute(typeof(Order_Detail.Order_DetailMetadata))]
    public partial class Order_Detail
    {

        // This class allows you to attach custom attributes to properties
        // of the Order_Detail class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Order_DetailMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Order_DetailMetadata()
            {
            }

            public float Discount { get; set; }

            public Order Order { get; set; }

            public int OrderID { get; set; }

            public Product Product { get; set; }

            public int ProductID { get; set; }

            public short Quantity { get; set; }

            public decimal UnitPrice { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Order_Details_ExtendedMetadata as the class
    // that carries additional metadata for the Order_Details_Extended class.
    [MetadataTypeAttribute(typeof(Order_Details_Extended.Order_Details_ExtendedMetadata))]
    public partial class Order_Details_Extended
    {

        // This class allows you to attach custom attributes to properties
        // of the Order_Details_Extended class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Order_Details_ExtendedMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Order_Details_ExtendedMetadata()
            {
            }

            public float Discount { get; set; }

            public Nullable<decimal> ExtendedPrice { get; set; }

            public int OrderID { get; set; }

            public int ProductID { get; set; }

            public string ProductName { get; set; }

            public short Quantity { get; set; }

            public decimal UnitPrice { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Order_SubtotalMetadata as the class
    // that carries additional metadata for the Order_Subtotal class.
    [MetadataTypeAttribute(typeof(Order_Subtotal.Order_SubtotalMetadata))]
    public partial class Order_Subtotal
    {

        // This class allows you to attach custom attributes to properties
        // of the Order_Subtotal class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Order_SubtotalMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Order_SubtotalMetadata()
            {
            }

            public int OrderID { get; set; }

            public Nullable<decimal> Subtotal { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Orders_QryMetadata as the class
    // that carries additional metadata for the Orders_Qry class.
    [MetadataTypeAttribute(typeof(Orders_Qry.Orders_QryMetadata))]
    public partial class Orders_Qry
    {

        // This class allows you to attach custom attributes to properties
        // of the Orders_Qry class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Orders_QryMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Orders_QryMetadata()
            {
            }

            public string Address { get; set; }

            public string City { get; set; }

            public string CompanyName { get; set; }

            public string Country { get; set; }

            public string CustomerID { get; set; }

            public Nullable<int> EmployeeID { get; set; }

            public Nullable<decimal> Freight { get; set; }

            public Nullable<DateTime> OrderDate { get; set; }

            public int OrderID { get; set; }

            public string PostalCode { get; set; }

            public string Region { get; set; }

            public Nullable<DateTime> RequiredDate { get; set; }

            public string ShipAddress { get; set; }

            public string ShipCity { get; set; }

            public string ShipCountry { get; set; }

            public string ShipName { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }

            public string ShipPostalCode { get; set; }

            public string ShipRegion { get; set; }

            public Nullable<int> ShipVia { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ProductMetadata as the class
    // that carries additional metadata for the Product class.
    [MetadataTypeAttribute(typeof(Product.ProductMetadata))]
    public partial class Product
    {

        // This class allows you to attach custom attributes to properties
        // of the Product class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ProductMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProductMetadata()
            {
            }

            public Category Category { get; set; }

            public Nullable<int> CategoryID { get; set; }

            public bool Discontinued { get; set; }

            public EntityCollection<Order_Detail> Order_Details { get; set; }

            public int ProductID { get; set; }

            public string ProductName { get; set; }

            public string QuantityPerUnit { get; set; }

            public Nullable<short> ReorderLevel { get; set; }

            public Supplier Supplier { get; set; }

            public Nullable<int> SupplierID { get; set; }

            public Nullable<decimal> UnitPrice { get; set; }

            public Nullable<short> UnitsInStock { get; set; }

            public Nullable<short> UnitsOnOrder { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Product_Sales_for_1997Metadata as the class
    // that carries additional metadata for the Product_Sales_for_1997 class.
    [MetadataTypeAttribute(typeof(Product_Sales_for_1997.Product_Sales_for_1997Metadata))]
    public partial class Product_Sales_for_1997
    {

        // This class allows you to attach custom attributes to properties
        // of the Product_Sales_for_1997 class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Product_Sales_for_1997Metadata
        {

            // Metadata classes are not meant to be instantiated.
            private Product_Sales_for_1997Metadata()
            {
            }

            public string CategoryName { get; set; }

            public string ProductName { get; set; }

            public Nullable<decimal> ProductSales { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Products_Above_Average_PriceMetadata as the class
    // that carries additional metadata for the Products_Above_Average_Price class.
    [MetadataTypeAttribute(typeof(Products_Above_Average_Price.Products_Above_Average_PriceMetadata))]
    public partial class Products_Above_Average_Price
    {

        // This class allows you to attach custom attributes to properties
        // of the Products_Above_Average_Price class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Products_Above_Average_PriceMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Products_Above_Average_PriceMetadata()
            {
            }

            public string ProductName { get; set; }

            public Nullable<decimal> UnitPrice { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Products_by_CategoryMetadata as the class
    // that carries additional metadata for the Products_by_Category class.
    [MetadataTypeAttribute(typeof(Products_by_Category.Products_by_CategoryMetadata))]
    public partial class Products_by_Category
    {

        // This class allows you to attach custom attributes to properties
        // of the Products_by_Category class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Products_by_CategoryMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Products_by_CategoryMetadata()
            {
            }

            public string CategoryName { get; set; }

            public bool Discontinued { get; set; }

            public string ProductName { get; set; }

            public string QuantityPerUnit { get; set; }

            public Nullable<short> UnitsInStock { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies RegionMetadata as the class
    // that carries additional metadata for the Region class.
    [MetadataTypeAttribute(typeof(Region.RegionMetadata))]
    public partial class Region
    {

        // This class allows you to attach custom attributes to properties
        // of the Region class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class RegionMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private RegionMetadata()
            {
            }

            public string RegionDescription { get; set; }

            public int RegionID { get; set; }

            public EntityCollection<Territory> Territories { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Sales_by_CategoryMetadata as the class
    // that carries additional metadata for the Sales_by_Category class.
    [MetadataTypeAttribute(typeof(Sales_by_Category.Sales_by_CategoryMetadata))]
    public partial class Sales_by_Category
    {

        // This class allows you to attach custom attributes to properties
        // of the Sales_by_Category class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Sales_by_CategoryMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Sales_by_CategoryMetadata()
            {
            }

            public int CategoryID { get; set; }

            public string CategoryName { get; set; }

            public string ProductName { get; set; }

            public Nullable<decimal> ProductSales { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Sales_Totals_by_AmountMetadata as the class
    // that carries additional metadata for the Sales_Totals_by_Amount class.
    [MetadataTypeAttribute(typeof(Sales_Totals_by_Amount.Sales_Totals_by_AmountMetadata))]
    public partial class Sales_Totals_by_Amount
    {

        // This class allows you to attach custom attributes to properties
        // of the Sales_Totals_by_Amount class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Sales_Totals_by_AmountMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Sales_Totals_by_AmountMetadata()
            {
            }

            public string CompanyName { get; set; }

            public int OrderID { get; set; }

            public Nullable<decimal> SaleAmount { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies ShipperMetadata as the class
    // that carries additional metadata for the Shipper class.
    [MetadataTypeAttribute(typeof(Shipper.ShipperMetadata))]
    public partial class Shipper
    {

        // This class allows you to attach custom attributes to properties
        // of the Shipper class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class ShipperMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ShipperMetadata()
            {
            }

            public string CompanyName { get; set; }

            public EntityCollection<Order> Orders { get; set; }

            public string Phone { get; set; }

            public int ShipperID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Summary_of_Sales_by_QuarterMetadata as the class
    // that carries additional metadata for the Summary_of_Sales_by_Quarter class.
    [MetadataTypeAttribute(typeof(Summary_of_Sales_by_Quarter.Summary_of_Sales_by_QuarterMetadata))]
    public partial class Summary_of_Sales_by_Quarter
    {

        // This class allows you to attach custom attributes to properties
        // of the Summary_of_Sales_by_Quarter class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Summary_of_Sales_by_QuarterMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Summary_of_Sales_by_QuarterMetadata()
            {
            }

            public int OrderID { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }

            public Nullable<decimal> Subtotal { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies Summary_of_Sales_by_YearMetadata as the class
    // that carries additional metadata for the Summary_of_Sales_by_Year class.
    [MetadataTypeAttribute(typeof(Summary_of_Sales_by_Year.Summary_of_Sales_by_YearMetadata))]
    public partial class Summary_of_Sales_by_Year
    {

        // This class allows you to attach custom attributes to properties
        // of the Summary_of_Sales_by_Year class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class Summary_of_Sales_by_YearMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Summary_of_Sales_by_YearMetadata()
            {
            }

            public int OrderID { get; set; }

            public Nullable<DateTime> ShippedDate { get; set; }

            public Nullable<decimal> Subtotal { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies SupplierMetadata as the class
    // that carries additional metadata for the Supplier class.
    [MetadataTypeAttribute(typeof(Supplier.SupplierMetadata))]
    public partial class Supplier
    {

        // This class allows you to attach custom attributes to properties
        // of the Supplier class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class SupplierMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SupplierMetadata()
            {
            }

            public string Address { get; set; }

            public string City { get; set; }

            public string CompanyName { get; set; }

            public string ContactName { get; set; }

            public string ContactTitle { get; set; }

            public string Country { get; set; }

            public string Fax { get; set; }

            public string HomePage { get; set; }

            public string Phone { get; set; }

            public string PostalCode { get; set; }

            public EntityCollection<Product> Products { get; set; }

            public string Region { get; set; }

            public int SupplierID { get; set; }
        }
    }

    // The MetadataTypeAttribute identifies TerritoryMetadata as the class
    // that carries additional metadata for the Territory class.
    [MetadataTypeAttribute(typeof(Territory.TerritoryMetadata))]
    public partial class Territory
    {

        // This class allows you to attach custom attributes to properties
        // of the Territory class.
        //
        // For example, the following marks the Xyz property as a
        // required property and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz { get; set; }
        internal sealed class TerritoryMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private TerritoryMetadata()
            {
            }

            public EntityCollection<Employee> Employees { get; set; }

            public Region Region { get; set; }

            public int RegionID { get; set; }

            public string TerritoryDescription { get; set; }

            public string TerritoryID { get; set; }
        }
    }
}
